Change Product EPC State
curl --request PATCH \
--url https://app.buylo.ai/api/product-epc/{product_epc_hash}/state \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "sold"
}
'import requests
url = "https://app.buylo.ai/api/product-epc/{product_epc_hash}/state"
payload = { "status": "sold" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'sold'})
};
fetch('https://app.buylo.ai/api/product-epc/{product_epc_hash}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Product EPC state has been successfully updated",
"updated_count": 3,
"updated_hashes": [
"8aaedfc3559d0ce545ca55bcea31aad2",
"2b1c7f8c2aab4e33a5e09a2d77f3b611",
"a7d9c4e8b3f2a1c5e7b9d4f8a2c6e9b1"
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Product EPC
Change Product EPC State
Updates the status of a product EPC. If the EPC belongs to a group (same group_id), all EPCs in that group will be updated to the new state.
PATCH
/
api
/
product-epc
/
{product_epc_hash}
/
state
Change Product EPC State
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The hash of the product EPC to update
Body
application/json
The new status for the EPC
Available options:
registered, stored, transit, in_store, for_sale, sold, stolen, cancelled, reserved, returned, damaged Example:
"sold"
Response
State updated successfully
Example:
"Product EPC state has been successfully updated"
Number of EPCs updated (includes grouped EPCs)
Example:
3
List of all updated EPC hashes
Example:
[
"8aaedfc3559d0ce545ca55bcea31aad2",
"2b1c7f8c2aab4e33a5e09a2d77f3b611",
"a7d9c4e8b3f2a1c5e7b9d4f8a2c6e9b1"
]
⌘I